Skala
Stock level notifications

Update a stock level notification

Partially updates specific fields of an existing stock level notification without affecting the rest of the data.

PATCH
/api/stock_level_notifications/{id}

Partially updates specific fields of an existing stock level notification without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockLevelNotification identifier

Request Body

application/merge-patch+json

The updated StockLevelNotification resource

TypeScript Definitions

Use the request body type in TypeScript.

isRead?boolean

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/stock_level_notifications/string" \  -H "Content-Type: application/merge-patch+json" \  -d ''
{
  "id": 0,
  "stock": {
    "id": 0,
    "unit": {
      "id": 0,
      "name": "string"
    },
    "type": "string"
  },
  "stockVariant": {
    "id": 0,
    "code": "string",
    "name": "string"
  },
  "isRead": true,
  "stockQuantity": {
    "id": 0,
    "amount": "string"
  },
  "optimalBufferStock": "string",
  "reorderPoint": "string",
  "requiredAmount": "string",
  "supplier": {
    "id": 0,
    "name": "string"
  }
}
Empty
Empty
Empty